# File: extmgt.tcl
#
# extension management for Cost 2.
# %%% should use Tcl 7.5 'package' command for this instead,
#
proc haveExtension {ext} {
    global COST
    if [info exists COST(EXTENSIONS)] {
	return [expr [lsearch $COST(EXTENSIONS) $ext] != -1]
    } else {
	return 0;
	# ??? should check loaded extensions...
    }
}

proc needExtension {ext} {
    if ![haveExtension $ext] {
	puts stderr "COST Error: this script requires the $ext extension"
	exit 1
    }
}


